Bug 1462250 - [abrt] rpm: __env_in_api(): rpm killed by SIGSEGV
[abrt] rpm: __env_in_api(): rpm killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9e815d922e75c735f99c63e06d1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 09:52 EDT by Philipp Gampe
Modified: 2017-08-23 06:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 06:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.21 KB, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: cgroup (226 bytes, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: core_backtrace (3.97 KB, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: dso_list (2.56 KB, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: environ (287 bytes, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: exploitable (100 bytes, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: maps (11.92 KB, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: mountinfo (4.20 KB, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: open_fds (550 bytes, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details
File: var_log_messages (284 bytes, text/plain)
2017-06-16 09:52 EDT, Philipp Gampe
no flags Details

  None (edit)
Description Philipp Gampe 2017-06-16 09:52:17 EDT
Description of problem:


Version-Release number of selected component:
rpm-4.13.0.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        rpm -q gpg-pubkey-7fac5991-4615767f gpg-pubkey-d38b4796-570c8cd3
crash_function: __env_in_api
executable:     /usr/bin/rpm
global_pid:     1413
kernel:         4.11.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __env_in_api at ../../src/env/env_failchk.c:328
 #1 __env_failchk_int at ../../src/env/env_failchk.c:82
 #2 __env_failchk_pp at ../../src/env/env_failchk.c:58
 #3 db_init at backend/db3.c:504
 #4 db3_dbiOpen at backend/db3.c:841
 #5 pkgdbOpen at rpmdb.c:149
 #6 openDatabase at rpmdb.c:575
 #7 rpmdbOpen at rpmdb.c:605
 #8 rpmtsOpenDB at rpmts.c:96
 #9 rpmtsInitIterator at rpmts.c:177
Comment 1 Philipp Gampe 2017-06-16 09:52:25 EDT
Created attachment 1288368 [details]
File: backtrace
Comment 2 Philipp Gampe 2017-06-16 09:52:27 EDT
Created attachment 1288369 [details]
File: cgroup
Comment 3 Philipp Gampe 2017-06-16 09:52:29 EDT
Created attachment 1288370 [details]
File: core_backtrace
Comment 4 Philipp Gampe 2017-06-16 09:52:30 EDT
Created attachment 1288371 [details]
File: dso_list
Comment 5 Philipp Gampe 2017-06-16 09:52:32 EDT
Created attachment 1288372 [details]
File: environ
Comment 6 Philipp Gampe 2017-06-16 09:52:33 EDT
Created attachment 1288373 [details]
File: exploitable
Comment 7 Philipp Gampe 2017-06-16 09:52:35 EDT
Created attachment 1288374 [details]
File: limits
Comment 8 Philipp Gampe 2017-06-16 09:52:37 EDT
Created attachment 1288375 [details]
File: maps
Comment 9 Philipp Gampe 2017-06-16 09:52:39 EDT
Created attachment 1288376 [details]
File: mountinfo
Comment 10 Philipp Gampe 2017-06-16 09:52:40 EDT
Created attachment 1288377 [details]
File: namespaces
Comment 11 Philipp Gampe 2017-06-16 09:52:42 EDT
Created attachment 1288378 [details]
File: open_fds
Comment 12 Philipp Gampe 2017-06-16 09:52:43 EDT
Created attachment 1288379 [details]
File: proc_pid_status
Comment 13 Philipp Gampe 2017-06-16 09:52:45 EDT
Created attachment 1288380 [details]
File: var_log_messages
Comment 14 Panu Matilainen 2017-08-23 06:27:15 EDT
This is the libdb condvar episode (bug 1394862), since then fixed in errata but those who got some of the intermediate ended up with less than smooth ride :-/
For the long version instructions, see https://www.happyassassin.net/2017/06/09/psa-rpm-database-issues-after-update-to-libdb-5-3-28-21-on-fedora-24-and-fedora-25/

Note You need to log in before you can comment on or make changes to this bug.